petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawBarGetAxis

Gets the axis context associated with a bar graph. This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the application code.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawBarGetAxis(PetscDrawBar bar,PetscDrawAxis *axis)

Not Collective, PetscDrawAxis is parallel if PetscDrawBar is parallel

### Input Parameter

bar -The bar graph context

### Output Parameter

axis -The axis context

### See Also

PetscDrawBarCreate(), PetscDrawBar, PetscDrawAxis, PetscDrawAxisCreate()

### Level

intermediate

### Location

src/sys/classes/draw/utils/bars.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages